/*
 * juked - a jukebox daemon
 * Copyright (C) 2000 Sam Clegg - See COPYING
 *  
 * Builtin version of the public database access functions.
 * All functions return 0 on success and -1 on error except "db_is_valid_id" 
 * which returns 1 when given a valid ID and 0 otherwise 
 *
 * $superduper: db_mysql.h,v 1.2 2001/05/11 15:32:49 samc Exp $
 */
#ifndef _DB_MYSQL_H_
#define _DB_MYSQL_H_

#ifdef HAVE_MYSQL

int init_database_mysql();
int term_database_mysql();
int db_is_valid_id_mysql(int track_id);
int db_get_filename_mysql(int track_id, char* filename);
int db_get_random_id_mysql();
xmlDocPtr db_search_mysql(char* field, char* string);
xmlDocPtr db_lookup_mysql(int track_id);

#endif /* HAVE_MYSQL   */
#endif /* _DB_MYSQL_H_ */
