/*
 * juked - a jukebox daemon 
 * Copyright (C) 2000-2002 Sam Clegg - See COPYING
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *    
 * mpg123 playback function headers.
 * These never get called directly.  They are linked
 * to the general player funstions when used.
 *
 * $superduper: mpglib.h,v 1.2 2002/04/27 18:38:10 samc Exp $
 */
#ifndef MPG123_H
#define MPG123_H

int mpglib_init ();
int mpglib_term ();
int mpglib_decode (const char *bufin, char *bufout, int inlen, int outlen, int *result);

#endif /* MPG123_H */
