/*
 * juked - a jukebox daemon
 * Copyright (C) 2000-2002 Sam Clegg - See COPYING
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 * Session information specific to each connection thread.
 *
 * $superduper: session.h,v 1.6 2002/04/29 19:52:39 samc Exp $
 */
#ifndef SESSION_H
#define SESSION_H

struct session_data_t
{
  pthread_t thread;
  struct session_data_t *next;
  int active;

  char  username[_POSIX_LOGIN_NAME_MAX];
  char* remote_name;
  int   remotefd;
  FILE* outfile;
};

extern pthread_key_t session_key;
int get_num_sessions ();

#endif /* !SESSION_H */
