/*
 * juked - a jukebox daemon
 * Copyright (C) 2000-2002 Sam Clegg - See COPYING
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 * Header for socket communications functions
 *
 * $superduper: socket_io.h,v 1.16 2002/04/20 10:54:59 samc Exp $
 */
#ifndef SOCKET_IO_H
#define SOCKET_IO_H

#include <stdarg.h>

int  init_socket_io ();
void term_socket_io ();
char socket_io_getc ();
void socket_io_write (char *fmt, va_list args);
void socket_io_close_connection ();
void socket_io_set_port (int port_num);
int  socket_io_wait_connection ();
int  socket_io_accept_connection ();
int  socket_io_deny_connection ();

#endif /* !SOCKET_IO_H */
