/*
 * juked - a jukebox daemon
 * Copyright (C) 2000 Sam Clegg - See COPYING
 *  
 * Builtin version of the public database access functions.
 * All functions return 0 on success and -1 on error except "db_is_valid_id" 
 * which returns 1 when given a valid ID and 0 otherwise 
 *
 * $superduper: db_builtin.h,v 1.2 2001/05/11 15:32:49 samc Exp $
 */
#ifndef _DB_BUILTIN_H_
#define _DB_BUILTIN_H_

int init_database_builtin();
int term_database_builtin();
int db_is_valid_id_builtin(int track_id);
int db_get_filename_builtin(int track_id, char* filename);
int db_get_random_id_builtin();
xmlDocPtr db_search_builtin(char* field, char* string);
xmlDocPtr db_lookup_builtin(int track_id);
xmlDocPtr db_list_builtin(int trackid);

#endif /* _DB_BUILTIN_H_ */
