/*
 * juked - a jukebox daemon
 * Copyright (C) 2000-2002 Sam Clegg - See COPYING
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 * Functions for controling player playback.
 *
 * $superduper: player.h,v 1.6 2002/04/20 10:54:59 samc Exp $
 */
#ifndef PLAYER_H
#define PLAYER_H

int  init_player           ();
void term_player           ();

int  player_print_status   ();
int  player_start          (int id);
void player_stop           ();
int  player_pause          ();
int  player_show_history   ();
int  player_get_current_id ();
int  player_get_playcount  ();

#endif /* !PLAYER_H */
