/*
 * juked - a jukebox daemon
 * Copyright (C) 2000-2002 Sam Clegg - See COPYING
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 * Function for creating and manipulating juked playlists.
 *
 * $superduper: playlist.h,v 1.16 2002/04/20 10:54:59 samc Exp $
 */
#ifndef PLAYLIST_H
#define PLAYLIST_H

int  init_plist   ();
int  plist_insert (int song_id);
int  plist_remove (int song_id);
int  plist_get    (int index);
int  plist_next   ();
int  plist_prev   ();
void plist_clear  ();

int       plist_read   (char* filename);
int       plist_dump   (char* filename);
xmlDocPtr plist_genxml ();

#endif /* !PLAYLIST_H */
